# Class CodeMiningReconciler

java.lang.Object
org.eclipse.jface.text.reconciler.AbstractReconciler
org.eclipse.jface.text.reconciler.Reconciler
org.eclipse.jface.text.codemining.CodeMiningReconciler

All Implemented Interfaces:
  `ITextViewerLifecycle, IReconciler, IReconcilerExtension`

public class CodeMiningReconciler extends Reconciler
A reconciler which update code minings.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`CodeMiningReconciler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`install(ITextViewer textViewer)`
Installs the reconciler on the given text viewer.
`void`
`uninstall()`
Removes the reconciler from the text viewer it has previously been installed on.

### Methods inherited from class Reconciler

`getDocumentPartitioning, getReconcilingStrategy, initialProcess, process, reconcilerDocumentChanged, setDocumentPartitioning, setProgressMonitor, setReconcilingStrategy`

### Methods inherited from class AbstractReconciler

`aboutToBeReconciled, aboutToWork, forceReconciling, getDocument, getProgressMonitor, getTextViewer, isIncrementalReconciler, isRunningInReconcilerThread, reconcilerReset, setDelay, setIsAllowedToModifyDocument, setIsIncrementalReconciler, signalWaitForFinish, startReconciling`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeMiningReconciler

public CodeMiningReconciler()

## Method Details

### install

public void install(ITextViewer textViewer)
Description copied from interface: `IReconciler`
Installs the reconciler on the given text viewer. After this method has been finished, the reconciler is operational, i.e., it works without requesting further client actions until `uninstall` is called.

Specified by:
  `install` in interface `IReconciler`
Specified by:
  `install` in interface `ITextViewerLifecycle`
Overrides:
  `install` in class `Reconciler`
Parameters:
  `textViewer` - the viewer on which the reconciler is installed

### uninstall

public void uninstall()
Description copied from interface: `IReconciler`
Removes the reconciler from the text viewer it has previously been installed on.

Specified by:
  `uninstall` in interface `IReconciler`
Specified by:
  `uninstall` in interface `ITextViewerLifecycle`
Overrides:
  `uninstall` in class `Reconciler`